:root {
    --rcs-vis-fig-size: 60%;
    --rcs-s0-head-size: 100px;
    --rcs-s0-head-size-md: 120px;
    --rcs-s0-head-size-sm: 70px;
    --rcs-s0-font-color: #dc143c;
}

/*
img {
    width: 100%;
    height: auto;
    vertical-align: bottom;
}
*/
.rcs-s1-contents-wrapper {
    margin: 5px 10px 5px;
    max-width: 98vw;
    padding-right: 0px;
    padding-left: 0px;
    background-color: var(--rcs-bgc-contents);
}

@media screen and (max-width: 480px) {
    .rcs-s1-contents-wrapper {
        margin: 0px 0px;
    }
}
/*
 * rcs components
 */
/*
 * rcs-visual component
 */
rcs-visual.visual {
    top: var(--rcs-s0-head-size);
}
rcs-visual.visual::part(logo) {
    --x-nop: nop;
}
rcs-visual.visual::part(figure) {
    --x-nop: nop;
}
rcs-visual.visual::part(catch) {
    /* figureブロックの下に表示したいのでabsoluteから変更 */
    --x-position: relative;
    font-size: var(--rcs-fsv-s4);
    top: 350px;
    left: 80px;
    height: 100px;
}
.rcs-s1-vis-image {
    width: 100%;
    height: 100%;
    aspect-ratio: 1920 / 1080;
}
.rcs-s1-vis-span {
    display: block;
    color: white;
    padding-top: 15px;
}
.rcs-s1-vis-span span {
    --x-top: 40px;
    font-size: var(--rcs-fsv-s6);
    line-height: 2rem;
    margin-left: 1rem;
}
@media screen and (min-width: 481px) and (max-width: 915px) {
    .rcs-s1-vis-span span {
        font-size: var(--rcs-fsv-s4);
        display: inline-block;
    }
    rcs-visual.visual::part(catch) {
        top: 250px;
        left: 100px;
    }
}
@media screen and (max-width: 480px) {
    .rcs-s1-vis-span span {
        display: inline-block;
        font-size: var(--rcs-fsv-s2);
    }
    rcs-visual.visual::part(catch) {
        top: 100px;
        left: 10px;
    }
}
.rcs-s1-title {
    font-size: var(--rcs-fsv-s3);
    text-align: center;
}
@media screen and (max-width: 480px) {
    .rcs-s1-title {
        font-size: var(--rcs-fsv-s1);
    }
}
.rcs-s1-policy-noimage {
    background-color: var(--rcs-bgc-normal);
    margin: 0 0 0 1rem;
}
/*
 * About Us
 */
rcs-article.policy1 {
    background-color: var(--rcs-bgc-normal);
    --height: 300px;
    --border: none;
    --margin: 0 0 16px 0;
}
rcs-article.policy1::part(left) {
    flex-basis: 70%;
}
rcs-article.policy1::part(right) {
    flex-basis: 25%;
    margin-left: 15px;
}
rcs-article.policy2 {
    background-color: var(--rcs-bgc-normal);
    --height: 300px;
    --border: none;
    --margin: 0 0 16px 0;
}
rcs-article.policy2::part(left) {
    flex-basis: 25%;
}
rcs-article.policy2::part(right) {
    flex-basis: 70%;
    margin-left: 15px;
}
.rcs-s1-policy-wrapper {
    margin-left: 50px;
}
@media screen and (min-width: 481px) and (max-width: 915px) {
    rcs-article.policy1::part(right) {
        flex-basis: 25%;
    }
    rcs-article.policy2::part(left) {
        flex-basis: 25%;
    }
    .rcs-s1-policy-wrapper {
        margin-left: 10px;
    }
}
@media screen and (max-width: 480px) {
    rcs-article.policy1 {
        width: 100%;
        margin-bottom: 50px;
    }
    rcs-article.policy1::part(toprow),
    rcs-article.policy2::part(toprow),
    rcs-article.policy3::part(toprow) {
        flex-flow: column nowrap;
    }
    rcs-article.policy1::part(right) {
        width: 90%;
        margin-left: 20px;
    }
    rcs-article.policy1::part(left) {
        width: 90%;
        margin: 1rem;
    }
    .rcs-s1-policy-wrapper {
        margin-left: 0px;
    }
    rcs-article.policy2::part(right) {
        --x-margin-left: 0px;
        width: 90%;
        margin: 1rem;
    }
}

/*
 * Access and Link list
 */
rcs-flex.flex1 {
    margin: 10px 0 0 0;
}
@media screen and (max-width: 480px) {
    rcs-flex.flex1 {
        flex-direction: column;
    }
}

/*
 * rcs-card for Acces map
 */
rcs-card.access {
    flex-basis: 45%;
    margin: 0 0.8rem;
    width: 100%;
    color: var(--rcs-fc-title);
    background-color: var(--rcs-bgc-normal);
}
rcs-card.access::part(title) {
    display: block;
}
rcs-card.access::part(figure) {
    width: 100%;
}
rcs-card.access::part(contents) {
    background-color: var(--rcs-bgc-normal);
    color: var(--rcs-fc-body);
    width: 90%;
    margin: 1px 1rem;
}
@media screen and (min-width: 481px) and (max-width: 915px) {
    rcs-card.access {
        flex-flow: column nowrap;
    }
    rcs-card.access::part(toprow) {
        flex-flow: column nowrap;
    }
}

@media screen and (max-width: 480px) {
    rcs-card.access {
        margin: 0;
    }
    rcs-card.access::part(toprow) {
        flex-flow: column nowrap;
    }
    rcs-card.access::part(figure) {
        width: 90%;
        margin-left: 45px;
    }
    rcs-card.access::part(contents) {
        margin: 10px 0 0 45px;
    }
    .rcs-s1-access__image {
        width: 100%;
        height: 100%;
    }
}
/*
 * rcs-card for link list
 */
.rcs-s1-link {
    font-size: var(--rcs-fsv-s0);
}
.rcs-s1-linklist {
    flex-basis: 50%;
}
/*
 * rcs-desc component
 */
rcs-desc.link {
    font-size: var(--rcs-fsv-s0);
}
rcs-desc.link::part(title) {
    color: var(--rcs-fc-title);
    font-size: var(--rcs-fsv-s1);
    flex-basis: 100%;
}
rcs-desc.link::part(trail) {
    display: none;
}
rcs-desc.link::part(contents) {
    display: none;
}
@media screen and (min-width: 481px) and (max-width: 915px) {
    rcs-desc.link::part(title),
    rcs-desc.link::part(trail) {
        background-color: var(--rcs-bgc-normal);
        color: var(--rcs-fc-title);
        font-size: var(--rcs-fsv-s1);
    }
}
@media screen and (max-width: 480px) {
    rcs-desc.link::part(title),
    rcs-desc.link::part(trail) {
        color: var(--rcs-fc-title);
        font-size: var(--rcs-fsv-s2);
    }
}
/*
 * rcs-article for History
 */
rcs-article.ayumi {
    --background-color: var(--rcs-bgc-normal);
    --height: 300px;
    flex-basis: 47%;
    --border: none;
    --margin: 0 0 1rem 0;
}
rcs-article.ayumi::part(left) {
    flex-basis: 70%;
}
rcs-article.ayumi::part(right) {
    flex-basis: 25%;
}
/*
 * rcs-card for History
 */
rcs-card.hist-col1 {
    margin: 0 0.8rem;
    --width: 80%;
    color: var(--rcs-fc-title);
    --border: 9px dotted gray;
    background-color: var(--rcs-bgc-contents);
}
.rcs-card div.hist-contents {
    background-color: var(--rcs-bgc-contents);
    color: var(--rcs-fc-body);
    width: 90%;
    margin: 1px 1rem;
}
/*
 * goo blog style
 */
#rcs-blog {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
}
.rcs-s1-blog-item1 {
    background-color: var(--rcs-bgc-normal);
    margin: 10px 20px 10px 0;
    width: 30%;
    color: var(--rcs-fc-body);
}
.rcs-s1-blog-title {
    --height: 55px;
    font-weight: bold;
    color: var(--rcs-s0-font-color);
}
.rcs-s1-blog-image1 {
    width: 100%;
    object-fit: cover;
    aspect-ratio: 1.33;
    --margin: 0 0 0 20vw;
    --x-flex-basis: 30%;
}
.rcs-s1-blog-info-text {
    font-size: var(--rcs-fsv-s0);
    max-width: 90ch;
}

@media screen and (max-width: 480px) {
    #rcs-blog {
        flex-flow: column nowrap;
    }
    .rcs-s1-blog-item1 {
        width: 100%;
        margin: 10px 0 10px 0;
        border-bottom: 3px dotted gray;
    }
    .rcs-s1-blog-info-text {
        font-size: var(--rcs-fsv-s0);
    }
}
.rcs-s1-tweettimeline {
    max-width: 40%;
    border: 1px solid #333;
    padding: 10px;
}
@media screen and (min-width: 481px) and (max-width: 915px) {
    .rcs-s1-tweettimeline {
        max-width: 50%;
    }
}
@media screen and (max-width: 480px) {
    .rcs-s1-tweettimeline {
        max-width: 100%;
    }
}
.rcs-s1-tempbox {
    padding: 0.5em 1em;
    background: -webkit-repeating-linear-gradient(
        -45deg,
        #f0f8ff,
        #f0f8ff 3px,
        #e9f4ff 3px,
        #e9f4ff 7px
    );
    background: repeating-linear-gradient(
        -45deg,
        #f0f8ff,
        #f0f8ff 3px,
        #e9f4ff 3px,
        #e9f4ff 7px
    );
    width: 180px;
    height: 130px;
}
.rcs-s1-tempbox p {
    margin: 0;
    padding: 0;
    font-size: var(--rcs-fsv-s0);
}

/*
 * rcs-headline component
 */
rcs-headline.head1 {
    --background-color: var(--rcs-color);
    --padding: 0.5rem 0 0 0.5rem;
    --border: none;
    --border-bottom: none;
}
rcs-headline::part(heading) {
    --x-border: solid 2px var(--rcs-color);
}
@media screen and (max-width: 480px) {
    rcs-headline.head1 {
        --x-padding: 1rem 2rem 1rem 150px;
    }
}
rcs-headline-1st.head1 {
    --color: var(--rcs-color);
    --border: none;
    --padding: 0.5rem 0 0 0.5rem;
    --border-bottom: solid 1px #708090;
    --font-size: var(--rcs-fsv-s3);
}
@media screen and (max-width: 480px) {
    rcs-headline-1st.head1 {
        --padding: 1rem 2rem 1rem 20px;
    }
}
/*
 * About Us
 */
.rcs-s1-flex-left {
    flex-basis: 50%;
}
.rcs-s1-flex-right {
    flex-basis: 30%;
    margin: 50px 0 0 5px;
}
rcs-article.aboutus {
    --background-color: var(--rcs-bgc-normal);
    --border: none;
}
rcs-article.aboutus::part(left) {
    flex-basis: 50%;
}
.rcs-s1-aboutus-space1 {
    padding-top: 2rem;
}
.rcs-s1-aboutus-image {
    width: 100%;
}
rcs-article.aboutus::part(right) {
    flex-basis: 50%;
    margin-left: 30px;
}
.rcs-s1-aboutus-dl {
    display: flex;
    flex-flow: row wrap;
    width: 100%;
    padding-left: 1rem;
    --x-margin-top: 2rem;
}
.rcs-s1-aboutus-dl dt {
    font-weight: bold;
    margin-bottom: 0.2rem;
    flex-basis: 20%;
}
.rcs-s1-aboutus-dl dd {
    --margin-left: 1rem;
    --margin-bottom: 0.3rem;
    flex-basis: 80%;
    padding-left: 1rem;
    background-color: #fff;
    border-bottom: 1px solid #ccc;
}
@media screen and (min-width: 481px) and (max-width: 915px) {
    rcs-article.aboutus::part(right) {
        flex-basis: 65%;
        margin-left: 30px;
    }
}
@media screen and (max-width: 480px) {
    rcs-article.aboutus {
        width: 100%;
    }
    rcs-article.aboutus::part(toprow) {
        flex-flow: column nowrap;
    }
    rcs-article.aboutus::part(right) {
        width: 90%;
        margin-left: 20px;
    }
    rcs-article.aboutus::part(left) {
        display: flex;
        justify-content: center;
    }
    .rcs-s1-aboutus-image {
        width: 60%;
        display: block;
        margin-left: auto;
        margin-right: auto;
    }
    .rcs-s1-aboutus-dl {
        flex-flow: column;
    }
    .rcs-s1-aboutus-dl dt {
    }
    .rcs-s1-aboutus-dl dd {
        padding: 5px 20px;
    }
}

/*
 * rcs-tile component
 */
rcs-tile.tile {
    --border: none;
    --background-color: aliceblue;
    --x-border: solid 2px var(--rcs-color);
}
